Package org.springframework.security.web

# Class FilterChainProxy.VirtualFilterChainDecorator

java.lang.Object
org.springframework.security.web.FilterChainProxy.VirtualFilterChainDecorator

All Implemented Interfaces:
  `FilterChainProxy.FilterChainDecorator`

Enclosing class:
  FilterChainProxy

public static final class FilterChainProxy.VirtualFilterChainDecorator extends Object implements FilterChainProxy.FilterChainDecorator
A `FilterChainProxy.FilterChainDecorator` that uses the `FilterChainProxy.VirtualFilterChain`

Since:
  6.0

## Constructor Summary

Constructors
Constructor
Description
`VirtualFilterChainDecorator()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.servlet.FilterChain`
`decorate(jakarta.servlet.FilterChain original)`
Provide a new `FilterChain` that accounts for needed security considerations when there are no security filters.
`jakarta.servlet.FilterChain`
`decorate(jakarta.servlet.FilterChain original, List<jakarta.servlet.Filter> filters)`
Provide a new `FilterChain` that accounts for the provided filters as well as the original filter chain.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VirtualFilterChainDecorator

public VirtualFilterChainDecorator()

## Method Details

### decorate

public jakarta.servlet.FilterChain decorate(jakarta.servlet.FilterChain original)
Provide a new `FilterChain` that accounts for needed security considerations when there are no security filters.

Specified by:
  `decorate` in interface `FilterChainProxy.FilterChainDecorator`
Parameters:
  `original` - the original `FilterChain`
Returns:
  a security-enabled `FilterChain`

### decorate

public jakarta.servlet.FilterChain decorate(jakarta.servlet.FilterChain original, List<jakarta.servlet.Filter> filters)
Provide a new `FilterChain` that accounts for the provided filters as well as the original filter chain.

Specified by:
  `decorate` in interface `FilterChainProxy.FilterChainDecorator`
Parameters:
  `original` - the original `FilterChain`
  `filters` - the security filters
Returns:
  a security-enabled `FilterChain` that includes the provided filters